Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001648 [DCSS] FR: Other minor always 2010-05-31 06:53 2014-11-05 16:13
Reporter OG17 View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0001648: Condensation shield should melt on block, not on failure to block
Description Fire-elemental attacks don't melt condensation shield on block. However, they do melt it on hit, which is welcome but bizarre - why would ozocubu's armor and icemail melt when they're hit, but condensation shield melt only when it isn't? This change might be making the spell worse, sure, but that could be addressed later through gradual melting or some other measure - the current behavior's glaringly inconsistent. As a bonus, it'd be good for gameplay to have some ice defenses melt on block and some on hit, as if you're using armor and shield, losing both to a single attack is pretty harsh.

Flame clouds should remain as they are, I'd think.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0001632resolvedMarvinPA Condensation shield oddities 

-  Notes
(0005290)
Cryptic (developer)
2010-06-02 16:21

Condensation melting effects should obviously only occur on block, imo. Binary melting can be easily implemented now (that's the system presently) and we can switch to a scale'd melting system eventually, if that's the kind of direction we want to move in for the ice armour effects.
(0027652)
wheals (administrator)
2014-11-05 16:13

Done in 0.16-a0-1901-ge30d2fd.

- Issue History
Date Modified Username Field Change
2010-05-31 06:53 OG17 New Issue
2010-06-02 16:19 Cryptic Relationship added related to 0001632
2010-06-02 16:21 Cryptic Note Added: 0005290
2011-02-04 17:16 MarvinPA Issue Monitored: MarvinPA
2011-04-11 09:50 MarvinPA Issue End Monitor: MarvinPA
2013-05-27 17:42 mumra Issue Monitored: mumra
2014-11-05 16:13 wheals Note Added: 0027652
2014-11-05 16:13 wheals Status new => resolved
2014-11-05 16:13 wheals Fixed in Branch => 0.16 development branch
2014-11-05 16:13 wheals Resolution open => done
2014-11-05 16:13 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker